Package org.eclipse.lemminx.services.extensions.completion

## Class ElementEndTagCompletionResolver

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver
  - - org.eclipse.lemminx.services.extensions.completion.ElementEndTagCompletionResolver

All Implemented Interfaces:
  `ICompletionItemResolveParticipant`

    public class ElementEndTagCompletionResolver
    extends AbstractCompletionResolver

Resolves the completion item of an element completion with an additional text edits to update end tag.

### Field Summary

Fields
`static String` `PARTICIPANT_ID`

### Constructor Summary

Constructors
`ElementEndTagCompletionResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `resolveCompletionItem​(DOMNode node, org.eclipse.lsp4j.CompletionItem toResolve, ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Resolve the given completion item `toResolve` by using the given DOM node.

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver

`resolveCompletionItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARTICIPANT_ID

    public static final String PARTICIPANT_ID

### Constructor Detail

#### ElementEndTagCompletionResolver

    public ElementEndTagCompletionResolver()

### Method Detail

#### resolveCompletionItem

    protected void resolveCompletionItem​(DOMNode node,
                                         org.eclipse.lsp4j.CompletionItem toResolve,
                                         ICompletionItemResolverRequest request,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractCompletionResolver`
Resolve the given completion item `toResolve` by using the given DOM node.

Specified by:
  `resolveCompletionItem` in class `AbstractCompletionResolver`
Parameters:
  `node` - the DOM retrieved by the offset coming from the completion item data.
  `toResolve` - the completion item to resolve.
  `request` - the completion request.
  `cancelChecker` - the cancel checker.